text-show-2.1.1: Efficient conversion of values into Text

Copyright | (C) 2014-2015 Ryan Scott
License | BSD-style (see the file LICENSE)
Maintainer | Ryan Scott
Stability | Provisional
Portability | GHC
Safe Haskell | None
Language | Haskell2010

TextShow.Data.Ratio

Description

Monomorphic `TextShow` function for `Ratio` values.

Since: 2

Synopsis

- showbRatioPrec :: TextShow a => Int -> Ratio a -> Builder

# Documentation

showbRatioPrec :: TextShow a => Int -> Ratio a -> Builder Source

Convert a `Ratio` to a `Builder` with the given precedence.

Note that on `base-4.3.0.0`, this function must have a `(`Show` a, `Integral` a)` constraint instead of just a `(`Show` a)` constraint.

Since: 2